Receive DeepEval test results via webhook
curl --request POST \
--url https://api.example.com/api/v1/webhooks/deepeval \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_results": [
{
"trace_id": "<string>",
"metrics": [
{
"name": "<string>",
"score": 123,
"success": true,
"reason": "<string>"
}
]
}
]
}
'import requests
url = "https://api.example.com/api/v1/webhooks/deepeval"
payload = { "test_results": [
{
"trace_id": "<string>",
"metrics": [
{
"name": "<string>",
"score": 123,
"success": True,
"reason": "<string>"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
test_results: [
{
trace_id: '<string>',
metrics: [{name: '<string>', score: 123, success: true, reason: '<string>'}]
}
]
})
};
fetch('https://api.example.com/api/v1/webhooks/deepeval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
webhooks
Receive DeepEval test results via webhook
Receive DeepEval test results via webhook.
Expected payload format:
{
"test_results": [
{
"trace_id": "...",
"metrics": [
{"name": "correctness", "score": 0.92, "success": true, "reason": "..."},
{"name": "faithfulness", "score": 0.85, "success": true}
]
}
]
}
Verification: X-Webhook-Secret header must match DECIMAL_DEEPEVAL_WEBHOOK_SECRET env.
POST
/
api
/
v1
/
webhooks
/
deepeval
Receive DeepEval test results via webhook
⌘I